name: labsaas
services:
  app:
    build: .
    container_name: labsaas
    hostname: labsaas
    environment:
      - CI_ENVIRONMENT=development
      - database.default.hostname=damp-db
      - database.default.database=labsaas_db
      - database.default.username=root
      - database.default.password=root
      - database.default.DBDriver=MySQLi
      - database.default.port=3306
    volumes:
      - ./:/app
      - ./Caddyfile:/etc/caddy/Caddyfile:ro
    restart: unless-stopped
    networks:
      - damp

networks:
  damp:
    external: true
